Take the 2-minute tour ×
Geographic Information Systems Stack Exchange is a question and answer site for cartographers, geographers and GIS professionals. It's 100% free, no registration required.

How do I repair this error in QGIS:

Error message

The error message was received whilst trying to run v.kernel from the modules list. I can however run v.kernel from the GRASS shell.

A while ago, I installed a new plugin which apparently moved or deleted a whole lot of files. The result was that I couldn't use NVIZ. Uninstalling and re-installing QGIS didn't help so I finally resorted to manually locating the files and replacing them. Not sure where to find this file however. Is there anyone who can assist me how to repair this?

share|improve this question

1 Answer 1

This file comes with QGIS and you can find it as src/plugins/grass/scripts/qgis.v.kernel.rast.py (part of the internal grass plugin). While you could get it from the development repository, rather make sure you only have one copy of QGIS installed and that you are running the healthy one. If this is from some ancient version, renaming the configuration directory may also be needed.

share|improve this answer
    
Ok, really stupid question: would you be referring to the source code available at: fossies.org/dox/qgis-1.8.0/… –  Bernie Nov 27 '12 at 14:15
    
Yes, that looks accurate. –  lynxlynxlynx Nov 27 '12 at 15:20
    
How do I repair it? I tried copying it over, but was denied access when I wanted to save it. –  Bernie Nov 28 '12 at 6:35
    
Get the required permissions if you want to do it that way. I don't know much about windows, but it would surely work if you switched to an "administrator" user. –  lynxlynxlynx Nov 28 '12 at 13:44
    
Thanks, I'll give try running as 'administrator' and see if that helps. –  Bernie Nov 28 '12 at 14:02

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.